<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/EnWidgets.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d33/_en_widgets_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">EnWidgets.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../db/d33/_en_widgets_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:d8/d74/class_workspace_widget"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#d8/d74/class_workspace_widget">WorkspaceWidget</a></td></tr>
<tr class="separator:d8/d74/class_workspace_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dd/d6a/class_widget"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></td></tr>
<tr class="separator:dd/d6a/class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:da/dbc/class_text_widget"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></td></tr>
<tr class="separator:da/dbc/class_text_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d1/d68/class_u_i_widget"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#d1/d68/class_u_i_widget">UIWidget</a></td></tr>
<tr class="separator:d1/d68/class_u_i_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d1/d26/class_simple_progress_bar_widget"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#d1/d26/class_simple_progress_bar_widget">SimpleProgressBarWidget</a></td></tr>
<tr class="separator:d1/d26/class_simple_progress_bar_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:df/df8/class_base_listbox_widget"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df8/class_base_listbox_widget">BaseListboxWidget</a></td></tr>
<tr class="separator:df/df8/class_base_listbox_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dd/df4/class_simple_listbox_widget"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/df4/class_simple_listbox_widget">SimpleListboxWidget</a></td></tr>
<tr class="separator:dd/df4/class_simple_listbox_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d3/d4c/class_spacer_widget"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#d3/d4c/class_spacer_widget">SpacerWidget</a></td></tr>
<tr class="separator:d3/d4c/class_spacer_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:df/df4/class_scripted_widget_event_handler"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></td></tr>
<tr class="memdesc:df/df4/class_scripted_widget_event_handler"><td class="mdescLeft">&#160;</td><td class="mdescRight">map: item x <a class="el" href="../../d7/dfc/classvector.html">vector(index, width, height)</a>  <a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">More...</a><br /></td></tr>
<tr class="separator:df/df4/class_scripted_widget_event_handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga3f84fc1c348185c5c0c6c33fec13e2ec"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/d78/group___enforce.html#gad26f01d8716ee335b773c04a1f8d5c82">TypeID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga3f84fc1c348185c5c0c6c33fec13e2ec">WidgetType</a></td></tr>
<tr class="separator:ga3f84fc1c348185c5c0c6c33fec13e2ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bb92c7c1a97bd358a549857dc2fe53c"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/d78/group___enforce.html#gad26f01d8716ee335b773c04a1f8d5c82">TypeID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a></td></tr>
<tr class="separator:ga8bb92c7c1a97bd358a549857dc2fe53c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga22177e6e3358b5dae620056212478a75"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga22177e6e3358b5dae620056212478a75">WidgetFlags</a> { <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75ab33bae6e86a1f4ba8349a77d4b497a39">SOURCEALPHA</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a6ab28e2ebc774a58674a758d3eb36f77">BLEND</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75ac0c02294c1fb924d8ee2ae11f9426c0e">ADDITIVE</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75abb22a6fcb7f208995b092f12d388786c">VISIBLE</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75ae2f3ffb6e17c77804aa6153ae18b0cbc">NOWRAP</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a2159ffbd3a68037511ab5ab4dd35ace7">CENTER</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a90980372094dd417d11b7c29f6c03c84">VCENTER</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a902b59a6dd668a4fd07115c40b0e3cf5">HEXACTPOS</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75ab98ce8e078c12c9edd768ed53d7e513f">VEXACTPOS</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a647b0ff84055a4f64c6dbba89fa2edc1">EXACTPOS</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a74ebf2899ddb4364a0e8f484403d258e">HEXACTSIZE</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75aa3ee5959d4eb2b77bc98cfde57b9077b">VEXACTSIZE</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a0e78a86658bdbf101793840339d61c24">EXACTSIZE</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75ac78636aa66e4e6b7c4e906749ce9ab0a">NOFILTER</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a53b2f8d76c92fed5dd8a58c8a375e48c">RALIGN</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a9a6098ae318c15eafb33986cb9cf2c49">STRETCH</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a010fce4ded7abc41b3bd0d8f742e0e5c">FLIPU</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a69f7857bb0a415bd1700acf82700c4b4">FLIPV</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a2291992b8d57cddcec10d5ccd0dd4195">CUSTOMUV</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a88e7369e2d58467066690767702c7650">IGNOREPOINTER</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75ad72cf0c406d4bd46269f75ed9a21e6f9">DISABLED</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a8b98888b144f367237ced53c81dd7530">NOFOCUS</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a04537fcc697966e85dfff7afb548f8cc">CLIPCHILDREN</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75ababa2f6b9b6b7ab3b0a9ebf079f7e14a">RENDER_ALWAYS</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75ab24e618457d9ee06b9281d593e67f5ff">NOCLEAR</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga22177e6e3358b5dae620056212478a75a6bd99f8e0a5ecf5e8ae36df0be56b9a8">DRAGGABLE</a>
<br />
 }</td></tr>
<tr class="separator:ga22177e6e3358b5dae620056212478a75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace9f7f03af3bb91462ac2490f2b3b71d"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gace9f7f03af3bb91462ac2490f2b3b71d">WidgetAlignment</a> </td></tr>
<tr class="separator:gace9f7f03af3bb91462ac2490f2b3b71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04c094810fbccc908d892a0f9007f4c8"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga04c094810fbccc908d892a0f9007f4c8">VideoCommand</a> { <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga04c094810fbccc908d892a0f9007f4c8a0352906d1ea1dfcd663c918f3a86755b">PLAY</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga04c094810fbccc908d892a0f9007f4c8a679ee5320d66c8322e310daeb2ee99b8">STOP</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga04c094810fbccc908d892a0f9007f4c8a154140ca979e199a025bea9119e4d384">REWIND</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga04c094810fbccc908d892a0f9007f4c8ad34d5395053a1781444508e570283be1">POSITION</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga04c094810fbccc908d892a0f9007f4c8a972f3df9d279a3d3acc88bcbe4452d51">REPEAT</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga04c094810fbccc908d892a0f9007f4c8a8ab8397754b3dad6abf2a7ff16753649">ISPLAYING</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga04c094810fbccc908d892a0f9007f4c8a702a32e3574ea40b8d2f358dec764298">KILL</a>
<br />
 }</td></tr>
<tr class="separator:ga04c094810fbccc908d892a0f9007f4c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga12005d3f9e0c34f86acedf9eb0f1bc3a"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga12005d3f9e0c34f86acedf9eb0f1bc3a">ControlID</a> { <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aa49e6317e2bd8a7e4d1f626f022941a9b">CID_NONE</a> = 0
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aa34e1e42e22681c71c3e77d31599277c1">CID_SELECT</a> = 1
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aac488b6f5b96c7842cc9d3747e4d44aab">CID_BACK</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aa8791ec6919136893a49d2bb7ccc3be27">CID_LEFT</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aaa762e6e32c4831d390055bf3851c64f2">CID_RIGHT</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aab8b688f73e72111f7c1f91107abe7761">CID_UP</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aaf4032fe653e809b6e6b59e6acef62c0c">CID_DOWN</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aae4ce969359dca6a1d5b306765e500c88">CID_MENU</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aab8d1bcacf48623315b2685bf03e48965">CID_DRAG</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aa69e09d62a477acca463ee7db9ee38efe">CID_TABLEFT</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aa6d97f7170534d360f0dba3b41e56a66e">CID_TABRIGHT</a>
, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aa2fe0a938f5f31114a72ae4f66fb3fc5f">CID_RADIALMENU</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gga12005d3f9e0c34f86acedf9eb0f1bc3aac6ce8f00ca1a2ab0d6028a29abed8e0e">CID_COUNT</a>
<br />
 }</td></tr>
<tr class="separator:ga12005d3f9e0c34f86acedf9eb0f1bc3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga5dcd12a1ba50303ce6a53026c6b8d7db"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga5dcd12a1ba50303ce6a53026c6b8d7db">TranslateString</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> stringId)</td></tr>
<tr class="separator:ga5dcd12a1ba50303ce6a53026c6b8d7db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac97112280cc4435c8df3c88070c839b4"><td class="memItemLeft" align="right" valign="top">proto native owned <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">GetName</a> ()</td></tr>
<tr class="separator:gac97112280cc4435c8df3c88070c839b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2baf4331e317d99b6c28664bd8e81543"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga2baf4331e317d99b6c28664bd8e81543">SetName</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:ga2baf4331e317d99b6c28664bd8e81543"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1197482c122c64e0dbf7fe67026f690c"><td class="memItemLeft" align="right" valign="top">proto native owned <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga1197482c122c64e0dbf7fe67026f690c">GetTypeName</a> ()</td></tr>
<tr class="separator:ga1197482c122c64e0dbf7fe67026f690c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga76e57e80d435b3458914ed8866f68157"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga3f84fc1c348185c5c0c6c33fec13e2ec">WidgetType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga76e57e80d435b3458914ed8866f68157">GetTypeID</a> ()</td></tr>
<tr class="separator:ga76e57e80d435b3458914ed8866f68157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56fa395c2863af66b4edff55fa9c34d4"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga56fa395c2863af66b4edff55fa9c34d4">Show</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> show, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:ga56fa395c2863af66b4edff55fa9c34d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8437b9ea324657b6fb84a8b69a99f18e"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga8437b9ea324657b6fb84a8b69a99f18e">Enable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:ga8437b9ea324657b6fb84a8b69a99f18e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f703aa04a2ffffb4e8305f11b0b0072"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga9f703aa04a2ffffb4e8305f11b0b0072">GetFlags</a> ()</td></tr>
<tr class="separator:ga9f703aa04a2ffffb4e8305f11b0b0072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8f654036d681a017e5943c961c9b2a2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac8f654036d681a017e5943c961c9b2a2">SetFlags</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> flags, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:gac8f654036d681a017e5943c961c9b2a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad0162e2443c5f2e8471e842f210f1298"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gad0162e2443c5f2e8471e842f210f1298">GetSort</a> ()</td></tr>
<tr class="separator:gad0162e2443c5f2e8471e842f210f1298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeba3cfd30829c1645a41bdd8cb5ba2f4"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaeba3cfd30829c1645a41bdd8cb5ba2f4">SetSort</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> sort, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:gaeba3cfd30829c1645a41bdd8cb5ba2f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae83a3718943bc7d5e836eaa539af8b64"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gae83a3718943bc7d5e836eaa539af8b64">ClearFlags</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> flags, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:gae83a3718943bc7d5e836eaa539af8b64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa3f6511d93b3ef6e6947b9ef358e24c9"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaa3f6511d93b3ef6e6947b9ef358e24c9">IsControlClass</a> ()</td></tr>
<tr class="separator:gaa3f6511d93b3ef6e6947b9ef358e24c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8657ca0291be0ea044e548ba0823f286"><td class="memItemLeft" align="right" valign="top">proto native owned <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga8657ca0291be0ea044e548ba0823f286">GetStyleName</a> ()</td></tr>
<tr class="separator:ga8657ca0291be0ea044e548ba0823f286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga827577a24a9d326efdc65bd0b7e07160"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga827577a24a9d326efdc65bd0b7e07160">GetUserData</a> (out <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> data)</td></tr>
<tr class="separator:ga827577a24a9d326efdc65bd0b7e07160"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace62170f33fe80b87b1fb58ec6e6dff2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gace62170f33fe80b87b1fb58ec6e6dff2">SetUserData</a> (<a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> data)</td></tr>
<tr class="separator:gace62170f33fe80b87b1fb58ec6e6dff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga527237ebaaf0e8a2575bfcc6e9e85c82"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga527237ebaaf0e8a2575bfcc6e9e85c82">GetUserID</a> ()</td></tr>
<tr class="separator:ga527237ebaaf0e8a2575bfcc6e9e85c82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad504ee6dfa7200d1058015bb01b039ac"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gad504ee6dfa7200d1058015bb01b039ac">SetUserID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:gad504ee6dfa7200d1058015bb01b039ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac2ed66e4cf8b373808780938860755fe"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac2ed66e4cf8b373808780938860755fe">IsVisible</a> ()</td></tr>
<tr class="separator:gac2ed66e4cf8b373808780938860755fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac0dae225aea67bb26b3b945cb6d7fd32"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac0dae225aea67bb26b3b945cb6d7fd32">IsVisibleHierarchy</a> ()</td></tr>
<tr class="separator:gac0dae225aea67bb26b3b945cb6d7fd32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33dabb6a30d1fd789dd2dc96de99f959"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga33dabb6a30d1fd789dd2dc96de99f959">SetPos</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:ga33dabb6a30d1fd789dd2dc96de99f959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga450bc0367ca431eaf09fcf68464fe0a1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga450bc0367ca431eaf09fcf68464fe0a1">SetSize</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:ga450bc0367ca431eaf09fcf68464fe0a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ccc20249486c51ccf29e6ec155d4f45"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga6ccc20249486c51ccf29e6ec155d4f45">SetColor</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color)</td></tr>
<tr class="separator:ga6ccc20249486c51ccf29e6ec155d4f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0323f49a814c327cc2d8f2d4ef562a3a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga0323f49a814c327cc2d8f2d4ef562a3a">GetColor</a> ()</td></tr>
<tr class="separator:ga0323f49a814c327cc2d8f2d4ef562a3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga747a0580552aa1a6813bb2214ce93ea3"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga747a0580552aa1a6813bb2214ce93ea3">SetRotation</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> roll, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pitch, <a class="el" href="../../d4/dc3/classfloat.html">float</a> yaw, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:ga747a0580552aa1a6813bb2214ce93ea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0fbc08cf8851d3f650fa1a0d17a8fd08"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga0fbc08cf8851d3f650fa1a0d17a8fd08">SetAlpha</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> alpha)</td></tr>
<tr class="separator:ga0fbc08cf8851d3f650fa1a0d17a8fd08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac82b8d6d6f78c3b1f9c0db750d9300bc"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac82b8d6d6f78c3b1f9c0db750d9300bc">GetAlpha</a> ()</td></tr>
<tr class="separator:gac82b8d6d6f78c3b1f9c0db750d9300bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabb714c474f3c5d4daeb008b8377a4b13"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gabb714c474f3c5d4daeb008b8377a4b13">GetPos</a> (out <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</td></tr>
<tr class="separator:gabb714c474f3c5d4daeb008b8377a4b13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd9e06b71edf8e9c1c5d9c45a3472c4b"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gabd9e06b71edf8e9c1c5d9c45a3472c4b">GetSize</a> (out <a class="el" href="../../d4/dc3/classfloat.html">float</a> width, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> height)</td></tr>
<tr class="separator:gabd9e06b71edf8e9c1c5d9c45a3472c4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaebcc47fe866dffc7f82bc2073302ce33"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaebcc47fe866dffc7f82bc2073302ce33">GetScreenPos</a> (out <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</td></tr>
<tr class="separator:gaebcc47fe866dffc7f82bc2073302ce33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29b0d04a27d930e6c714e26cbdf723fb"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga29b0d04a27d930e6c714e26cbdf723fb">GetScreenSize</a> (out <a class="el" href="../../d4/dc3/classfloat.html">float</a> width, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> height)</td></tr>
<tr class="separator:ga29b0d04a27d930e6c714e26cbdf723fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga93c78d0bb0fc827950a06351889947dc"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga93c78d0bb0fc827950a06351889947dc">SetTransform</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4], <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:ga93c78d0bb0fc827950a06351889947dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d63886deac2f225cc139143f9d79141"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga1d63886deac2f225cc139143f9d79141">GetParent</a> ()</td></tr>
<tr class="memdesc:ga1d63886deac2f225cc139143f9d79141"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parent of the Effect.  <a href="../../d9/d0e/group___widget_a_p_i.html#ga1d63886deac2f225cc139143f9d79141">More...</a><br /></td></tr>
<tr class="separator:ga1d63886deac2f225cc139143f9d79141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbb92b8168e7054217cfdfd28878d070"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gafbb92b8168e7054217cfdfd28878d070">GetChildren</a> ()</td></tr>
<tr class="separator:gafbb92b8168e7054217cfdfd28878d070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a911c581adec61a446c1c9bf51712d4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga0a911c581adec61a446c1c9bf51712d4">GetSibling</a> ()</td></tr>
<tr class="separator:ga0a911c581adec61a446c1c9bf51712d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33e82262c3fc30a0921094432901b8d3"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga33e82262c3fc30a0921094432901b8d3">AddChild</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:ga33e82262c3fc30a0921094432901b8d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacba9565bda2f27def77467b021c71d1d"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gacba9565bda2f27def77467b021c71d1d">RemoveChild</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child)</td></tr>
<tr class="separator:gacba9565bda2f27def77467b021c71d1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70ac517aa5d3b3af95f61a2d560d811f"><td class="memItemLeft" align="right" valign="top">proto native volatile void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a> ()</td></tr>
<tr class="separator:ga70ac517aa5d3b3af95f61a2d560d811f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f8ff397a1453e2ff474391886e53c71"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga6f8ff397a1453e2ff474391886e53c71">GetScript</a> (out <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> data)</td></tr>
<tr class="separator:ga6f8ff397a1453e2ff474391886e53c71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a110713a1efe1c4df909d5acbd5bacd"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga8a110713a1efe1c4df909d5acbd5bacd">FindWidget</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pathname)</td></tr>
<tr class="separator:ga8a110713a1efe1c4df909d5acbd5bacd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c60c2c4f7361799eda0405af7eb5342"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pathname)</td></tr>
<tr class="separator:ga4c60c2c4f7361799eda0405af7eb5342"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0194c1e63339c7728e8bf8d85e570937"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga0194c1e63339c7728e8bf8d85e570937">FindAnyWidgetById</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> user_id)</td></tr>
<tr class="separator:ga0194c1e63339c7728e8bf8d85e570937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga50ccd7987eb3245123867280c51aabfa"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga50ccd7987eb3245123867280c51aabfa">SetHandler</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a> eventHandler)</td></tr>
<tr class="separator:ga50ccd7987eb3245123867280c51aabfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ee130c5ab18025bef6833296709cda5"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga3ee130c5ab18025bef6833296709cda5">Unlink</a> ()</td></tr>
<tr class="separator:ga3ee130c5ab18025bef6833296709cda5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab93fe2912002641673211daa48889d26"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gab93fe2912002641673211daa48889d26">GetWidgetUnderCursor</a> ()</td></tr>
<tr class="separator:gab93fe2912002641673211daa48889d26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad6e48a26788776dd6ba5c8e6b64704d3"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gad6e48a26788776dd6ba5c8e6b64704d3">CancelWidgetDragging</a> ()</td></tr>
<tr class="separator:gad6e48a26788776dd6ba5c8e6b64704d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3e58fe472ac6b87418d2b72042d4aac"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gae3e58fe472ac6b87418d2b72042d4aac">GetDragWidget</a> ()</td></tr>
<tr class="separator:gae3e58fe472ac6b87418d2b72042d4aac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2f47a1e0670e5c177804d111281b492a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga2f47a1e0670e5c177804d111281b492a">ReportMouse</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mousex, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mousey, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> rootWidget)</td></tr>
<tr class="separator:ga2f47a1e0670e5c177804d111281b492a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4f154baf3addfa928bfb9d5292d87aef"><td class="memItemLeft" align="right" valign="top">class SpacerBaseWidget extends <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#d1/d68/class_u_i_widget">UIWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga4f154baf3addfa928bfb9d5292d87aef">GetContentAlignmentH</a> ()</td></tr>
<tr class="separator:ga4f154baf3addfa928bfb9d5292d87aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6408b406464dab0ca57ccfa15bb35aa1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga6408b406464dab0ca57ccfa15bb35aa1">AddChildAfter</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> after, <a class="el" href="../../d9/db9/classbool.html">bool</a> immedUpdate=true)</td></tr>
<tr class="separator:ga6408b406464dab0ca57ccfa15bb35aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1eb39ba05b311cddd69604a3b529b008"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga1eb39ba05b311cddd69604a3b529b008">SetContentAlignmentH</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gace9f7f03af3bb91462ac2490f2b3b71d">WidgetAlignment</a> alignment)</td></tr>
<tr class="separator:ga1eb39ba05b311cddd69604a3b529b008"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7bfbed68937964fb0c75321513f51ba"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gace9f7f03af3bb91462ac2490f2b3b71d">WidgetAlignment</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gae7bfbed68937964fb0c75321513f51ba">GetContentAlignmentV</a> ()</td></tr>
<tr class="separator:gae7bfbed68937964fb0c75321513f51ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad492897b608d764d98c31b456476e1e7"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gad492897b608d764d98c31b456476e1e7">SetContentAlignmentV</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gace9f7f03af3bb91462ac2490f2b3b71d">WidgetAlignment</a> alignment)</td></tr>
<tr class="separator:gad492897b608d764d98c31b456476e1e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1fe25640e8316bbb22f00420194cf083"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga1fe25640e8316bbb22f00420194cf083">IsScrollbarVisible</a> ()</td></tr>
<tr class="separator:ga1fe25640e8316bbb22f00420194cf083"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ca1115b05e15f902fc9cba6b7ea3a69"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga2ca1115b05e15f902fc9cba6b7ea3a69">GetContentWidth</a> ()</td></tr>
<tr class="separator:ga2ca1115b05e15f902fc9cba6b7ea3a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c79f598691d82ffb99b9c103f201af8"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga6c79f598691d82ffb99b9c103f201af8">GetContentHeight</a> ()</td></tr>
<tr class="separator:ga6c79f598691d82ffb99b9c103f201af8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56bdaa69fbed6bd66c993e0222b978a2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga56bdaa69fbed6bd66c993e0222b978a2">GetHScrollPos</a> ()</td></tr>
<tr class="separator:ga56bdaa69fbed6bd66c993e0222b978a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga66894fa81700c4670b83d80effe2c4e4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga66894fa81700c4670b83d80effe2c4e4">GetHScrollPos01</a> ()</td></tr>
<tr class="separator:ga66894fa81700c4670b83d80effe2c4e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga772f174946536077c5d1995e194f071e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga772f174946536077c5d1995e194f071e">HScrollStep</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> steps)</td></tr>
<tr class="separator:ga772f174946536077c5d1995e194f071e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabe000ab13d0ef765316cda28d57afa25"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gabe000ab13d0ef765316cda28d57afa25">HScrollToPos</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pos)</td></tr>
<tr class="separator:gabe000ab13d0ef765316cda28d57afa25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga796104f4d6a89729bef71cb8cb43cba2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga796104f4d6a89729bef71cb8cb43cba2">HScrollToPos01</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pos01)</td></tr>
<tr class="separator:ga796104f4d6a89729bef71cb8cb43cba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf67c34f63c3e99808e0290147daa9a1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaaf67c34f63c3e99808e0290147daa9a1">HScrollToWidget</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child)</td></tr>
<tr class="separator:gaaf67c34f63c3e99808e0290147daa9a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2deb5acc879805133b4c5af5876f9144"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga2deb5acc879805133b4c5af5876f9144">GetVScrollPos</a> ()</td></tr>
<tr class="separator:ga2deb5acc879805133b4c5af5876f9144"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4a4f9cc93ad564fd031d441a45eafe56"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga4a4f9cc93ad564fd031d441a45eafe56">GetVScrollPos01</a> ()</td></tr>
<tr class="separator:ga4a4f9cc93ad564fd031d441a45eafe56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab05800123fc2deae96ff71ca6fc0e0b2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gab05800123fc2deae96ff71ca6fc0e0b2">VScrollStep</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> steps)</td></tr>
<tr class="separator:gab05800123fc2deae96ff71ca6fc0e0b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaccd397c3da7f0a3c4e8124515f8a9e7b"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaccd397c3da7f0a3c4e8124515f8a9e7b">VScrollToPos</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pos)</td></tr>
<tr class="separator:gaccd397c3da7f0a3c4e8124515f8a9e7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga03242f0a8e8038a93f389734fd3fc53c"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga03242f0a8e8038a93f389734fd3fc53c">VScrollToPos01</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pos01)</td></tr>
<tr class="separator:ga03242f0a8e8038a93f389734fd3fc53c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2112ee1c3236dfa0f14fded8b65ff003"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga2112ee1c3236dfa0f14fded8b65ff003">VScrollToWidget</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child)</td></tr>
<tr class="separator:ga2112ee1c3236dfa0f14fded8b65ff003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae523e0953a9a4b8ac951348fd5bfec9b"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gae523e0953a9a4b8ac951348fd5bfec9b">SetGUIWidget</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, RTTextureWidget w)</td></tr>
<tr class="separator:gae523e0953a9a4b8ac951348fd5bfec9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec557629309e73f0612d9004d0bcbc38"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaec557629309e73f0612d9004d0bcbc38">SetCursorWidget</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> cursor)</td></tr>
<tr class="separator:gaec557629309e73f0612d9004d0bcbc38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7e5d9d790d1323964906d03973ce9471"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga7e5d9d790d1323964906d03973ce9471">ShowCursorWidget</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> show)</td></tr>
<tr class="separator:ga7e5d9d790d1323964906d03973ce9471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1cfd948543f866735858ad5335cebeb"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaf1cfd948543f866735858ad5335cebeb">LoadWidgetImageSet</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> filename)</td></tr>
<tr class="separator:gaf1cfd948543f866735858ad5335cebeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab57fb2e235a6a0a93d1d5e9b251a90fa"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gab57fb2e235a6a0a93d1d5e9b251a90fa">LoadWidgetStyles</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> filename)</td></tr>
<tr class="separator:gab57fb2e235a6a0a93d1d5e9b251a90fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6119c99c0646cd5642c702ca8c03ca2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaf6119c99c0646cd5642c702ca8c03ca2">SetActiveWindow</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d9/db9/classbool.html">bool</a> resetFocus)</td></tr>
<tr class="separator:gaf6119c99c0646cd5642c702ca8c03ca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3198d6d3c89168d93eaf734f13e2f7ef"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga3198d6d3c89168d93eaf734f13e2f7ef">SetFocus</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</td></tr>
<tr class="separator:ga3198d6d3c89168d93eaf734f13e2f7ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeaa98970771023d17aecb0fc766d8c52"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaeaa98970771023d17aecb0fc766d8c52">SetModal</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</td></tr>
<tr class="separator:gaeaa98970771023d17aecb0fc766d8c52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga298047c9fc0a45b4d45dcc1f6fa6c966"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga298047c9fc0a45b4d45dcc1f6fa6c966">GetFocus</a> ()</td></tr>
<tr class="separator:ga298047c9fc0a45b4d45dcc1f6fa6c966"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b15b1948f7c163d3b38500a4fb13175"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga1b15b1948f7c163d3b38500a4fb13175">SetWidgetWorld</a> (RenderTargetWidget w, <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> wrldEntity, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> camera)</td></tr>
<tr class="separator:ga1b15b1948f7c163d3b38500a4fb13175"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa29e120870c44d9fed107b665af99508"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaa29e120870c44d9fed107b665af99508">ReloadTexture</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>)</td></tr>
<tr class="separator:gaa29e120870c44d9fed107b665af99508"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga6bc5f13de2e4d564223b513de9709dad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga6bc5f13de2e4d564223b513de9709dad">WA_LEFT</a> = 0</td></tr>
<tr class="separator:ga6bc5f13de2e4d564223b513de9709dad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3a3e0cbe3fd4b1dbbbf6ded0774799a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gae3a3e0cbe3fd4b1dbbbf6ded0774799a">WA_RIGHT</a> = 1</td></tr>
<tr class="separator:gae3a3e0cbe3fd4b1dbbbf6ded0774799a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8aeaafb36b9c163415583ee554a79d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac8aeaafb36b9c163415583ee554a79d9">WA_CENTER</a> = 2</td></tr>
<tr class="separator:gac8aeaafb36b9c163415583ee554a79d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4a7a6fa2247eed0f49e9da99c20646a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac4a7a6fa2247eed0f49e9da99c20646a">WA_TOP</a> = 0</td></tr>
<tr class="separator:gac4a7a6fa2247eed0f49e9da99c20646a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4f8c7449c0dcd70113305e5acd569185"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga4f8c7449c0dcd70113305e5acd569185">WA_BOTTOM</a> = 1</td></tr>
<tr class="separator:ga4f8c7449c0dcd70113305e5acd569185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff44d4b3b59f8b1af29d3fb757d389d7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#d8/d74/class_workspace_widget">WorkspaceWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gaff44d4b3b59f8b1af29d3fb757d389d7">Widget</a> ()</td></tr>
<tr class="memdesc:gaff44d4b3b59f8b1af29d3fb757d389d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defined in code.  <a href="../../d9/d0e/group___widget_a_p_i.html#gaff44d4b3b59f8b1af29d3fb757d389d7">More...</a><br /></td></tr>
<tr class="separator:gaff44d4b3b59f8b1af29d3fb757d389d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55e3416fa716834d1f1d5e5a5e612a41"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga04c094810fbccc908d892a0f9007f4c8">VideoCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga55e3416fa716834d1f1d5e5a5e612a41">GetScrollbarWidth</a></td></tr>
<tr class="separator:ga55e3416fa716834d1f1d5e5a5e612a41"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../db/d33/_en_widgets_8c.html">EnWidgets.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
